Password Manager Extension Big Sur, Safari v16

Hello, I am trying to install the Safari extension on my Mac, but I am encountering compatibility problems that hopefully you can help solve.

Attempting to install the app from the Mac App Store gives a prompt that this app requires MacOS 12, which my Mac is too old to get (I am on Big Sur 11.7.10).

According to the Bitwarden downloads page, the extension is compatible with Safari 14+, which should suit as my version is v16, but on trying to download the extension, it directs me to the Mac App Store again, which I cannot install.

Is there any solution or workaround to get the extension working with Safari?

Much appreciated.

@rfcg Welcome to the forum!

Try downloading this .dmg installer:

https://vault.bitwarden.com/download/?app=desktop&platform=macos&variant=dmg

That works perfectly, thanks for your help!

1 Like